Loading...
Searching...
No Matches
pdftron::PDF::TOCSettings Class Reference

`#include <HTML2PDF.h>`

## Public Member Functions
| TOCSettings ()
| ~TOCSettings ()
void | SetDottedLines (bool enable)
void | SetLinks (bool enable)
void | SetCaptionText (const UString &caption)
void | SetLevelIndentation (int indentation)
void | SetTextSizeShrink (double shrink)
void | SetXsl (const UString &style_sheet)
void | Destroy ()

## Detailed Description

Settings for table of contents.

This option is deprecated in the latest HTML2PDF module and may have no effect.

Definition at line 730 of file HTML2PDF.h.

## Constructor & Destructor Documentation

## ◆ TOCSettings()

pdftron::PDF::TOCSettings::TOCSettings | ( |  | ) |

Default table of contents settings.

## ◆ ~TOCSettings()

pdftron::PDF::TOCSettings::~TOCSettings | ( |  | ) |

destructor.

## Member Function Documentation

## ◆ Destroy()

void pdftron::PDF::TOCSettings::Destroy | ( |  | ) |

Frees the native memory of the object.

## ◆ SetCaptionText()

void pdftron::PDF::TOCSettings::SetCaptionText | ( | const UString & | caption | ) |

Caption text to be used with TOC.

Parameters

  caption | - Text that will appear with the table of contents.

Note
  This option is deprecated in the latest HTML2PDF module and may have no effect.

## ◆ SetDottedLines()

void pdftron::PDF::TOCSettings::SetDottedLines | ( | bool | enable | ) |

Use a dotted line when creating TOC.

Parameters

  enable | - Table of contents will use dotted lines.

Note
  This option is deprecated in the latest HTML2PDF module and may have no effect.

## ◆ SetLevelIndentation()

void pdftron::PDF::TOCSettings::SetLevelIndentation | ( | int | indentation | ) |

Indentation used for every TOC level...

Parameters

  indentation | - How much to indent each level, e.g. "2"

Note
  This option is deprecated in the latest HTML2PDF module and may have no effect.

## ◆ SetLinks()

void pdftron::PDF::TOCSettings::SetLinks | ( | bool | enable | ) |

Create links from TOC to actual content.

Parameters

  enable | - Entries in table of contents will link to section in the PDF.

Note
  This option is deprecated in the latest HTML2PDF module and may have no effect.

## ◆ SetTextSizeShrink()

void pdftron::PDF::TOCSettings::SetTextSizeShrink | ( | double | shrink | ) |

How much to shrink font for every level, e.g. 0.8

Parameters

  shrink | - Rate at which lower level entries will appear smaller

Note
  This option is deprecated in the latest HTML2PDF module and may have no effect.

## ◆ SetXsl()

void pdftron::PDF::TOCSettings::SetXsl | ( | const UString & | style_sheet | ) |

xsl style sheet used to convert outline XML into a table of content.

Parameters

  style_sheet | - Path to xsl style sheet to be used to generate this table of contents.

Note
  This option is deprecated in the latest HTML2PDF module and may have no effect.

The documentation for this class was generated from the following file:

- PDF/HTML2PDF.h